# Copyright (C) 2009, Parrot Foundation.
# $Id: parrot_spec.pm gerd $

=head1 NAME

config/gen/parrot_spec.pm - Generate parrot.spec

=head1 DESCRIPTION

Generate the file parrot.spec for a Parrot's svn repository or a Parrot's release version (DEVELOPING or no DEVELOPING state).

=cut

package gen::parrot_spec;

use strict;
use warnings;

use base qw(Parrot::Configure::Step);

use Parrot::Configure::Utils ':gen';

sub _init {
    my $self = shift;
    my %data;
    $data{description} = q{Generate parrot.spec};
    $data{result}      = q{};
    return \%data;
}

sub runstep {
    my ($self, $conf) = @_;

    $conf->genfile('config/gen/parrot_spec/parrot_spec.in', 'parrot.spec',
        comment_type => '#'
    );
    return 1;
}

1;

# vim: expandtab shiftwidth=4:
